## solarwolf 1.5+dfsg1

=== solarwolf-gfx/Makefile ===
# Makefile for creating orthographics animation images from
# the PovRay v3.5 3D models. Requires _GNU_ make.
#
# Before you add animation creation in this Makefile, you
# can test animating your 'name.pov' with a command like:
#   make NAME=name WD=xx HT=yy FRAMES=kk OPT='options' BLUR=1 anim
#
# WD, HT, OPT and BLUR parameters are optional. If you don't want
# povray to wait for user click after each rendering, give
# BATCH=1 as an additional argument.
#
# If you want to keep individial frames, give NO_RM=1 as extra arg.
#
# (w) 2003 by Eero Tamminen

# ---------------- default values -------------------------

# make batch mode the default
BATCH = 1

ifndef WD
WD := 128
endif

ifndef HT
HT := 128
endif

# PovRay with default flags
POVRAY = povray +FN +DTC +A0.3 -J +UA -P

ifdef BATCH
POVRAYP = $(POVRAY)
else
# wait until user clicks
POVRAYP = $(POVRAY) +P
endif

# ----------------- animation rules -----------------------

ifdef NAME

# I'm using submake to create animations because with
# shell-script you'd need to separately handle errors
# and Make does it automatically.

anim:
	$(RM) $(NAME).png
	$(POVRAY) +I$(NAME).pov +W$(WD) +H$(HT) +KFF$(FRAMES) $(OPT)
ifdef BLUR
	./blur.sh $(NAME)[0-9]*.png
endif
	-convert +append $(NAME)[0-9]*.png $(NAME).png
ifndef NO_RM
	$(RM) $(NAME)[0-9]*.png
endif
else

# ---------------- default dependencies -----------------------

# all models
POV = $(wildcard *.pov)
PNG = $(patsubst %.pov, %.png, $(POV))

all: $(PNG)

# default rule for other POV files
%.png: %.pov camera-ortho.inc lights.inc
	$(POVRAYP) +I$< +W$(WD) +H$(HT)

# -------------------- animations -----------------------------

# explicit rules are separated into animations that use submake
# and single frames which just use povray.  They are sorted
# alphabetically so that the rules are easier to find and in
# the same order as Make will execute them with the 'all' rule.
#
# OPT=+KC makes the animation cyclic.

asteroid.png: asteroid.pov
	$(MAKE) NAME=asteroid WD=32 HT=32 FRAMES=24 OPT=+KC anim

baddie.png: baddie.pov baddie.inc fire.inc
	$(MAKE) NAME=baddie WD=64 HT=32 FRAMES=16 anim

baddie-teleport.png: baddie-teleport.pov baddie.inc teleport.inc
	$(MAKE) NAME=baddie-teleport WD=64 HT=32 FRAMES=32 OPT=+KC anim

bonus-bullet.png: bonus-bullet.pov bonus.inc
	$(MAKE) NAME=bonus-bullet WD=32 HT=32 FRAMES=4 OPT=+KC anim

bonus-shield.png: bonus-shield.pov bonus.inc
	$(MAKE) NAME=bonus-shield WD=32 HT=32 FRAMES=4 anim

debris1.png: debris1.pov debris.inc
	$(MAKE) NAME=debris1 WD=10 HT=10 FRAMES=8 anim

debris2.png: debris2.pov debris.inc
	$(MAKE) NAME=debris2 WD=10 HT=10 FRAMES=8 anim

debris3.png: debris3.pov debris.inc
	$(MAKE) NAME=debris3 WD=10 HT=10 FRAMES=8 anim

debris4.png: debris4.pov debris.inc
	$(MAKE) NAME=debris4 WD=10 HT=10 FRAMES=8 anim

debris-base.png: debris-base.pov ship.inc
	$(MAKE) NAME=debris-base WD=28 HT=28 FRAMES=8 anim

debris-bubble.png: debris-bubble.pov ship.inc
	$(MAKE) NAME=debris-bubble WD=12 HT=12 FRAMES=8 anim

debris-motor.png: debris-motor.pov ship.inc
	$(MAKE) NAME=debris-motor WD=10 HT=10 FRAMES=8 anim

explosion.inc: explosion.py
	python $< > $@

explosion.png: explosion.pov explosion.inc
	$(MAKE) NAME=explosion WD=48 HT=48 FRAMES=16 anim

fire.png: fire.pov fire.inc
	$(MAKE) NAME=fire WD=24 HT=24 FRAMES=8 OPT=+KC anim

shielder.png: shielder.pov
	$(MAKE) NAME=shielder WD=10 HT=10 FRAMES=3 anim

ship-up-boost1.png: ship-up-boost1.pov ship.inc
	$(MAKE) NAME=ship-up-boost1 WD=32 HT=32 FRAMES=4 OPT=+KC anim

ship-up-boost2.png: ship-up-boost2.pov ship.inc
	$(MAKE) NAME=ship-up-boost2 WD=32 HT=32 FRAMES=4 OPT=+KC anim

ship-teleport.png: ship-teleport.pov teleport.inc ship.inc
	$(MAKE) NAME=ship-teleport WD=32 HT=32 FRAMES=24 OPT=+KC anim

ship-warp.png: ship-warp.pov ship.inc
	$(MAKE) NAME=ship-warp WD=48 HT=32 FRAMES=12 anim

spikeball.png: spikeball.pov
	$(MAKE) NAME=spikeball WD=24 HT=24 FRAMES=12 OPT=+KC anim

# --------------------- stilleben ----------------------------

ship-big.png: ship-big.pov ship.inc
	$(POVRAYP) +I$< +W240 +H240 +K0.2

ship-up.png: ship-up.pov ship.inc
	$(POVRAYP) +I$< +W32 +H32

ship-mini-boost2.png: ship-mini-boost2.pov ship.inc
	$(POVRAYP) +I$< +W25 +H25

# ------------- viewing, cleaning, packaging -----------------

endif # NAME

showanim: showanim.c
	$(CC) -Wall -O -o $@ $^ $$(sdl-config --cflags --libs) -lSDL_image

show: showanim $(PNG)
	@./animshow.sh $(PNG)

clean:
	$(RM) *~ showanim *.o

distclean: clean
	$(RM) *.png


PKG = solarwolf-gfx

dist: all clean
	$(RM) $(PKG)*.tar.gz
	cd ..; tar -zcvf $(PKG)-sprite.tar.gz $(PKG)/*.png
	cd ..; tar -zcvf $(PKG)-src.tar.gz --exclude CVS --exclude '*.png' $(PKG)/
	mv ../$(PKG)*.tar.gz ./
	ls -l $(PKG)*.tar.gz

## solarwolf 1.5%2Bdfsg1

=== debian/control ===
Source: solarwolf
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Judit Foglszinger <urbec@debian.org>
Build-Depends: debhelper-compat (= 13), python3, dh-python, dh-sequence-python3
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.pygame.org/shredwheat/solarwolf/index.shtml
Vcs-Git: https://salsa.debian.org/games-team/solarwolf.git
Vcs-Browser: https://salsa.debian.org/games-team/solarwolf

Package: solarwolf
Architecture: all
Depends: python3-pygame, ${misc:Depends}, ${python3:Depends}
Description: Collect the boxes and don't become mad
 Solarwolf is an action/arcade game written entirely in Python,
 featuring amazing graphics and cool music.
 It is originally based on the SolarFox game on the Atari 2600.
 .
 All this, yet the best feature of all is; it is a hecka lotta fun!
 The point of the game is to scramble through 60 levels of patterns,
 collecting all the boxes. The part that makes it tricky is avoiding
 the relentless hailstorm of fire coming at you from all directions.

## solarwolf 1.5+dfsg1

=== debian/changelog ===
solarwolf (1.5+dfsg1-6) unstable; urgency=low

  * rules: Turning off trimming of changelogs
  * copyright: Updating copyright years and Author for debian/*
  * control: Bumping Standards-Version to 4.6.1 - no changes needed
  * patches: Adding Comment section to desktop file for the use of AppStream

 -- Judit Foglszinger <urbec@debian.org>  Sun, 16 Oct 2022 00:42:39 +0700

solarwolf (1.5+dfsg1-5) unstable; urgency=low

  * patches: Fixing transparency loss of powerup symbols/bullet time effect
             due to transition to pygame2 (Closes: #1008771)

 -- Judit Foglszinger <urbec@debian.org>  Sat, 02 Apr 2022 08:05:37 +0700

solarwolf (1.5+dfsg1-4) unstable; urgency=low

  * control:
    - New maintainer (Closes: #930142)
    - Adding Debian Games Team to uploaders.
    - Incrementing debhelper-compat to 13
    - Adding dh-sequence-python3
    - Adding Vcs-Git and Vcs-Browser fields
    - Bumping standards version to 4.6.0, no changes needed.
    - Correcting number of levels in long description s/48/60
  * patches: Fixing game start sound not respecting sound settings.
             (Closes: #497974)
             Thanks to Daniel Watkins on whoms patch the fix is based on.
  * solarwolf.lintian_overrides: Overriding tag
                       package-contains-documentation-outside-usr-share-doc,
                       levels.txt is game data, not documentation.
  * README.source: explain how to retrieve the orig tarball
                   and why no watch file is used.

 -- Judit Foglszinger <urbec@debian.org>  Mon, 21 Mar 2022 21:00:35 +0700

solarwolf (1.5+dfsg1-3) unstable; urgency=low

  * QA upload.
  * Fix runtime error Thread object has no attribute isAlive.
    Thanks to Judit Foglszinger for the patch. (Closes: #984673)

 -- Markus Koschany <apo@debian.org>  Mon, 15 Mar 2021 00:25:59 +0100

solarwolf (1.5+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Fix FTBS.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 23 Mar 2020 00:22:20 +0100

solarwolf (1.5+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * Orphan package. (see #930142)
  * Include sources of graphics files in orig tarball. (Closes: #637601)
    - document copyright of graphics source files
  * Convert to source format 3.0 (quilt).
  * Port to Python 3. (Closes: #912486, #938512)
  * Update Standards-Version to 4.4.1:
    - drop menu file (Closes: #311031)
    - declare that d/rules does not require root
  * Convert to dh-style build.
  * Update debhelper compat level to 12.
  * Move homepage from description to homepage field.
  * Convert d/copyright to copyright format 1.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 29 Sep 2019 16:12:23 +0200

solarwolf (1.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to compat level 10. (Closes: #817672)
  * Declare use of source format 1.0 explicitly.
  * Create a valid desktop file. (Closes: #686765)
  * Change menu section to Games/Action because Games/Arcade does not exist
    anymore.
  * debian/rules: Call dh_prep instead of deprecated dh_clean -k.
  * debian/control: Add ${misc:Depends} substvar.
  * Remove duplicate "is" word in package description.

 -- Markus Koschany <apo@debian.org>  Sun, 25 Sep 2016 21:53:45 +0200

solarwolf (1.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh-python (closes: #786097).

 -- Graham Inggs <ginggs@debian.org>  Thu, 03 Sep 2015 17:19:25 +0200

solarwolf (1.5-2) unstable; urgency=low

  * data/levels.txt: fix typos in level names
    (closes: #260823, #372199).
  * rules: s/dh_python/dh_pysupport (closes: #375594, #380956).
  * Build-depend on python-support.
  * Standards-version is 3.7.2.
  * menu: quote everything.
  * snd.py: start music when setting the volume to non-zero
    (closes: #369909).

 -- Josselin Mouette <joss@debian.org>  Wed, 11 Oct 2006 20:00:48 +0200

solarwolf (1.5-1) unstable; urgency=low

  * New upstream release.
  * Remove patch from solarwolf.py, it is integrated upstream.
  * Use icons from upstream, remove build-dependency on sng.

 -- Josselin Mouette <joss@debian.org>  Tue, 17 Feb 2004 20:18:53 +0100

solarwolf (1.4-1) unstable; urgency=low

  * New upstream release.
  * Remove patch from hud.py, upstream has its own implementation.
  * Require python 2.3 and pygame 1.5.6.
  * Use sng instead of sharutils.

 -- Josselin Mouette <joss@debian.org>  Sun, 11 Jan 2004 18:56:19 +0100

solarwolf (1.3-3) unstable; urgency=medium

  * New upload with medium urgency to avoid messing with the python
    transition.

 -- Josselin Mouette <joss@debian.org>  Tue,  7 Oct 2003 23:33:01 +0200

solarwolf (1.3-2) unstable; urgency=low

  * code/hud.py: patch from Josh Triplett <josh.trip@verizon.net> to
    display correctly more than 3 lives (closes: #211605).

 -- Josselin Mouette <joss@debian.org>  Tue,  7 Oct 2003 22:53:57 +0200

solarwolf (1.3-1) unstable; urgency=low

  * New upstream release:
    - doesn't crash anymore when it is fully completed (closes: #211323).
  * Encode changelog in UTF8.
  * Standards-version is 3.6.1.
  * Use debian/compat.

 -- Josselin Mouette <joss@debian.org>  Tue, 23 Sep 2003 18:13:05 +0200

solarwolf (1.2-2) unstable; urgency=low

  * Rebuild for python 2.3, no changes.

 -- Josselin Mouette <joss@debian.org>  Sun, 17 Aug 2003 21:06:24 +0200

solarwolf (1.2-1) unstable; urgency=low

  * New upstream release.
  * Revert to TrueColor for solarwolf.xpm.
  * Standards-version is 3.6.0:
    - move debhelper from build-depends-indep to build-depends.
  * Cleanup in debian/rules.

 -- Josselin Mouette <joss@debian.org>  Wed,  6 Aug 2003 16:50:43 +0200

solarwolf (1.1-4) unstable; urgency=low

  * Build-depend on python (closes: #173525).
  * Standards-version is 3.5.8.
  * debian/copyright: please lintian.
  * The solarwolf.xpm icon is now 32×32 with system colors.
  * Provide solarwolf.png, 64×64 version, uuencoded.
  * Build-depend on sharutils to extract solarwolf.png.



=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: solarwolf
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Judit Foglszinger <urbec@debian.org>
+Maintainer: Judit Foglszinger <urbec@debian.org>
+Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 13), python3, dh-python, dh-sequence-python3
-Standards-Version: 4.7.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.pygame.org/shredwheat/solarwolf/index.shtml
 Vcs-Git: https://salsa.debian.org/games-team/solarwolf.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_install:
	dh_install
	mv debian/solarwolf/usr/games/solarwolf.py debian/solarwolf/usr/games/solarwolf
	rm -rf debian/solarwolf/usr/share/games/solarwolf/data/.xvpics/

# keep full changelog
override_dh_installchangelogs:
	dh_installchangelogs --no-trim
